1. Orders
Tjar
  • 🗂️ Overview
  • 🚀 Start Here
  • Orders
    • List Orders
      GET
    • Get Order Details
      GET
    • Order Statuses
      GET
    • Create Order
      POST
    • Change Order Status
      POST
  • Products
    • Digital
      • Create Digital Product
      • Get Digital Product Details
      • Update Digital Product
    • Booking
      • Get Booking Product Details
      • Create Booking Product
      • Update Booking Product
    • Service
      • Get Service Product
      • Create Service Product
      • Update Service Product
    • Physical
      • Get Physical Product Details
      • Create Physical Product
      • Update Physical Product
    • List All Products
      GET
    • Get Product Details
      GET
    • Delete Product
      DELETE
  • Media
    • Upload Media
      POST
    • Upload Multiple Media
      POST
    • Update Media
      POST
  • Webhook
    • Events
      • Cart Abandoned
      • Order Created
      • Order Created
      • Order Status Changed
      • Order Updated
      • Product Created
      • Product Deleted
      • Product Updated
      • Product Review Submitted
      • Product Stock Update
      • Customer Created
      • Customer Updated
      • Customer Login
      • Customer Welcome
      • Category Created
      • Category Updated
      • Category Deleted
      • Brand Created
      • Brand Updated
      • Brand Deleted
    • List Webhooks
      GET
    • Register Webhook
      POST
    • Update Webhook
      PUT
    • Delete Webhook
      DELETE
    • Verify Signature
      POST
    • Refresh Secret
      POST
    • Webhook Events
      GET
  • Abandoned Cart
    • List Abandoned Carts
    • Get Abandoned Cart Details
    • Send Reminder
  1. Orders

Create Order

Developing
POST
/api/core/v1/orders
Last modified:2026-06-27 18:29:03
This endpoint allows Partners to create orders on behalf of tenants, including products with required customizable fields.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params multipart/form-dataRequired

Responses

🟢201Created
application/json
Bodyapplication/json

🟠422Validation Error
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/core/v1/orders' \
--header 'Accept: application/json' \
--header 'Accept-Language: {{lang}}' \
--header 'Authorization: Bearer <token>' \
--form 'customer_id="22"' \
--form 'order_status="Pending"' \
--form 'notes="Please deliver between 10AM-2PM"' \
--form 'payment_details[payment_method]="tjar-pay"' \
--form 'payment_details[payment_status]="pending"' \
--form 'bank_transfer_proof=@""' \
--form 'shipping_method[is_required]="0"' \
--form 'shipping_method[state]=""' \
--form 'shipping_method[metadata][shippingObject][options][cost]="25.50"' \
--form 'shipping_method[selected_shipping_option]="8"' \
--form 'coupon_code="FREE50"' \
--form 'products[0][id]="1"' \
--form '0products[0][qty]="2"' \
--form 'products[0][product_options][0][name]="Warn"' \
--form 'aproducts[0][product_options][0][type]="radio"' \
--form 'products[0][product_options][0][value]="Biru"' \
--form 'products[0][product_options][0][cost]="0"' \
--form 'products[1][id]="11"' \
--form 'products[1][qty]="1"' \
--form 'products[1][variant_id]="5"' \
--form 'products[1][color_name]="Red"' \
--form 'products[1][size_name]="L"' \
--form 'products[2][id]="12"' \
--form 'products[2][qty]="1"' \
--form 'products[2][is_booking]="1"' \
--form 'products[2][booking_date]="2026-03-01"' \
--form 'products[2][booking_start]="10:00"' \
--form 'products[2][booking_end]="11:00"' \
--form 'products[2][provider_id]="3"' \
--form 'products[3][id]="13"' \
--form 'products[3][qty]="2"' \
--form 'products[3][is_digital]="1"' \
--form 'products[3][digital_type]="digital_cards_with_multioptions"' \
--form 'products[3][digital_product_option]="option-uuid-here"'
Response Response Example
201 - Example 1
{
    "status": "success",
    "message": "Order created successfully",
    "data": {
        "id": 706,
        "identifier": 706,
        "order_id": "260706",
        "name": "Tesss 3",
        "email": "testinggg11@gmail.com",
        "phone": "966666666669",
        "address": null,
        "customer": {
            "id": 22,
            "name": "Tesss 3",
            "email": "testinggg11@gmail.com",
            "mobile": "966666666669",
            "avatar": "http://b56tf.store.test/assets/img/no-image.jpg"
        },
        "city": "At Tuhaymiyah",
        "state": null,
        "country": "Iceland",
        "zipcode": null,
        "full_address": "At Tuhaymiyah, Iceland",
        "total_amount": 5115.5,
        "formatted_total_amount": "5,115.50 <sar></sar>",
        "coupon": "FREE50",
        "coupon_discounted": 5015.5,
        "status": {
            "value": "Pending",
            "label": {
                "ar": "قيد الانتظار",
                "en": "Pending"
            },
            "color": "warning"
        },
        "payment_status": {
            "value": "pending",
            "label": {
                "ar": "قيد الانتظار",
                "en": "Pending"
            },
            "color": "warning"
        },
        "payment_gateway": {
            "value": "tjar-pay",
            "label": {
                "ar": "Tjar Pay",
                "en": "Tjar Pay"
            }
        },
        "can_refund": false,
        "refund_url": null,
        "created_at": "2026-02-27 23:34:53",
        "updated_at": "2026-02-27 23:34:53"
    }
}
Modified at 2026-06-27 18:29:03
Previous
Order Statuses
Next
Change Order Status
Built with